Update an Integration Hook
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"status": 1,
"settings": {}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 1, settings: {}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id}"
payload = {
"status": 1,
"settings": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"app_id": "<string>",
"inbox_id": "<string>",
"account_id": "<string>",
"status": true,
"hook_type": true,
"settings": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Integrations
Update an Integration Hook
Update an Integration Hook
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
integrations
/
hooks
/
{hook_id}
Update an Integration Hook
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"status": 1,
"settings": {}
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 1, settings: {}})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/integrations/hooks/{hook_id}"
payload = {
"status": 1,
"settings": {}
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"app_id": "<string>",
"inbox_id": "<string>",
"account_id": "<string>",
"status": true,
"hook_type": true,
"settings": {}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Path Parameters
Body
application/json
Response
Success